#pragma once

#include <stddef.h>

#include "tekkenhook/tekken-dll.h"
#include "tekkenhook/jvs.h"
#include "board/config.h"

#include "platform/config.h"
#include "gfxhook/config.h"
#include "amcus/config.h"

struct tekken_hook_config {
    struct platform_config platform;
    struct tekken_dll_config dll;
    struct gfx_config gfx;
    struct amcus_config amcus;
    struct bpreader_config reader;
};

void tekken_dll_config_load(
    struct tekken_dll_config *cfg,
    const wchar_t *filename);

void tekken_hook_config_load(
    struct tekken_hook_config *cfg,
    const wchar_t *filename);

